System Requirements for WebSphere MQ V7.0/7.0.1 on z/OS

Product documentation


Abstract

This document contains the system requirements for WebSphere MQ V7.0 on z/OS.

Content

Please read first
  • For software requirements, the Program Directory shipped with the product contains the latest level of information, particularly concerning APAR or PTF levels of supported products.
  • z/OS includes appropriate levels of Language Environment, TCP/IP, VTAM, SMP/E, TSO/E, JES, C/C++, DFSMS / DFP, Security Server, High Level Assembler, ISPF, and ICSS.
  • The product versions listed here represent the minimum level of that product that is supported, unless otherwise stated.
  • For installation, the only requirement is the level of operating system listed below, which will include the pre-requisite level of SMP/E.
  • Defect support is available for virtualization environments where they relate to releases of this platform already supported by WebSphere MQ. Unless stated elsewhere in the system requirements, WebSphere MQ has not been specifically tested in virtualization environments. WebSphere MQ Support is therefore unable to assist in issues related to configuration and setup, or issues that are directly related to the virtualization environment itself.
Hardware requirements
  • Any IBM OS/390 or zSeries 900 processor capable of running the required level of a compatible operating system with enough storage to meet the combined requirements of the programming prerequisites, WebSphere MQ for z/OS, the access methods, and the application programs.
Operating Systems
  • z/OS V1.8 or later [see section note 1]

Notes:
  1. WebSphere MQ V7.0 has a hard pre-requisite on z/OS V1.8, so prior versions of z/OS are not supported.
For C/C++ applications
  • Any C/C++ compiler that generates calls to WebSphere MQ using the standard linkage convention [see section note 1]

Notes:
  1. To take advantage of the new Version 7 functionality from a C application, you must use a compiler that supports the long long integer type.
For PL/I applications
  • Any PL/I compiler that generates calls to WebSphere MQ using the standard linkage convention
For COBOL applications
  • Any COBOL compiler that generates calls to WebSphere MQ using the standard linkage convention
For Java™ applications using the WebSphere MQ classes for Java or JMS 31-bit: [see section note 1]
  • IBM SDK for z/OS, Java 2 Technology Edition, Version 1.4.2
  • IBM SDK for z/OS, Java 2 Technology Edition, Version 5.0
  • IBM SDK for z/OS, Java 2 Technology Edition, Version 6.0
  • IBM Runtime Environment, Java Technology Edition 7.0 and future fix packs.

Notes:
  1. ASF adapter is supported on the following 64-Bit JREs, when it is loaded into WAS:
    • IBM 64-bit SDK for z/OS, Java 2 Technology Edition, Version 1.4.2
    • IBM 64-bit SDK for z/OS, Java 2 Technology Edition, Version 5.0
    • IBM 64-bit SDK for z/OS, Java 2 Technology Edition, Version 6.0
Transactions Managers CICS:
IMS:
  • IMS (5655-C56) V8.1
  • IMS (5655-J38) V9.1
  • IMS (5635-A01) V10.1
Application Servers
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V6.0.2 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V6.1 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V7.0 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V8.0 (see this document for more information
Connectivity TCP/IP
  • z/OS TCP/IP or any TCP product which supports the z/OS Unix Sockets API

VTAM:
  • Included with z/OS [see section note 1]

Notes:
  1. Only TCP/IP supported with the JMS Client and the WebSphere MQ Java Classes.
SSL/TLS GSKit:
  • Not applicable.
  • For Secure Sockets Layer (SSL):
z/OS Cryptographic Services Security Level 3 (FMID JCPT381)

Refer to the Cryptography Card List for WebSphere MQ v6 and v7 document for further information.
Other platform specifics For Shared queues:
  • z/OS V1.8 with Resource Recovery Services (RRS) activated and Coupling Facility Level 9
  • DB2 (5625-DB2) V8.1

Topic security:
  • Users wishing to implement TOPIC security or exploit mixed case profiles for other MQ objects will additionally require either
    • RACF APAR OA23043 for z/OS 1.8 or
    • z/OS 1.9 or later
Supported application servers for the WebSphere MQ Bridge for HTTP
  • WebSphere Application Server V6.0.2.1 or later
  • WebSphere Application Server V7 or later


Additional applications that can be used/connected

System Management
Notes:
  1. Refer to APARS OA30865, OA30287 and OA24859.


Change history:
  • 7th July 2008: Revamped the Application Servers section to only list IBM WebSphere Application Servers V6.0.2 and V6.1.
  • 19th December 2008: Added support for IBM WebSphere Application Server V7.0.
  • 19th December 2008: Added the Cryptography Cards section.
  • 6th January 2009: Added the WebSphere MQ Bridge for HTTP section.
  • 11th March 2009: Added support for WebSphere Application Server V7.
  • 25th August 2009: Added support for WMQ V7.0.1.
  • 21st July 2010: Added the System Management section.
  • 11th July 2011: Added support for IBM WebSphere Application Server V8.0.
  • 27th February 2012: Updating expiration date.
  • 31st January 2013: Adding supported levels of CICS Transaction Server 3.1,3.2,4.1,4.2 and 5.1
  • 14th November 2013: Moving SSL comment to SSL section.
  • 25th February 2014: Updating expiry date.

Product Alias/Synonym

WMQ MQ

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere MQ
Documentation

Software version:

7.0

Operating system(s):

z/OS

Reference #:

7011919

Modified date:

2008-04-01

Translate my page

Machine Translation

Content navigation